<div * ngIf="!funcoes">
  <mat-progress-bar mode="buffer"></mat-progress-bar>
</div>

<div class="dadosFuncoes">
  <div class="cabecalho">
    <mat-grid-list cols="2" rowHeight="50px">
      <mat-grid-tile>
        <h2 class="titulo">Funções cadastradas</h2>
      </mat-grid-tile>

      <mat-grid-tile>
        <button mat-stroked-button color="primary" routerLink="/funcoes/novafuncao">Nova função</button>
      </mat-grid-tile>
    </mat-grid-list>

    <mat-divider></mat-divider>

    <div class="divAutoComplete">
      <form>
        <mat-form-field class="autoCompleteInput">
          <input type="text" placeholder="Digite a função que você procura" matInput [formControl]="autocompleteInput" [matAutocomplete]="auto"/>

          <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete">
            <mat-option *ngFor="let funcao of nomesFuncoes | async" [value]="funcao">{{funcao}}</mat-option>
          </mat-autocomplete>
        </mat-form-field>
      </form>
    </div>

    <table *ngIf="funcoes" mat-table [dataSource]="funcoes" matSort class="mat-elevation-z8 tabela">
      <ng-container matColumnDef="nome">
        <th mat-header-cell *matHeaderCellDef="" mat-sort-header="">Nome</th>
        <td mat-cell *matCellDef="let funcao">{{funcao.name}}</td>
      </ng-container>
      <ng-container matColumnDef="descricao">
        <th mat-header-cell *matHeaderCellDef="" mat-sort-header="">Descricao</th>
        <td mat-cell *matCellDef="let funcao">{{funcao.descricao}}</td>
      </ng-container>

      <ng-container matColumnDef="acoes">
        <th mat-header-cell *matHeaderCellDef="" mat-sort-header="">Ações</th>
        <td mat-cell *matCellDef="let funcao">
          <button mat-mini-fab color="primary" [routerLink]="['/funcoes/atualizarfuncao', funcao.id]">
            <mat-icon>edit</mat-icon>
          </button>

          <button mat-mini-fab color="warn" (click)="AbrirDialog(funcao.id, funcao.name)">
            <mat-icon>delete_forever</mat-icon>
          </button>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayColumns"></tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5,10,15,20]" showFirstLastButtons=""></mat-paginator>


  </div>
</div>
